Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.util
Class DelegatingServletInputStream

    java.lang.Object
      java.io.InputStream
          javax.servlet.ServletInputStream
              org.directwebremoting.util.DelegatingServletInputStream

All Implemented Interfaces:
  java.io.Closeable

    public class DelegatingServletInputStream

extends javax.servlet.ServletInputStream

Delegating implementation of ServletInputStream.

Author:
  Joe Walker [joe at getahead dot ltd dot uk]

Constructor Summary
`DelegatingServletInputStream(java.io.InputStream proxy)` Create a new DelegatingServletInputStream.

Method Summary
`void` | `close()`
`java.io.InputStream` | `getSourceStream()`
`java.io.InputStream` | `getTargetStream()` Accessor for the stream that we are proxying to
`int` | `read()`

Methods inherited from class javax.servlet.ServletInputStream
`readLine`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, read, reset, skip`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingServletInputStream

    public DelegatingServletInputStream(java.io.InputStream proxy)

  Create a new DelegatingServletInputStream.

  Parameters:
    `proxy` - the sourceStream InputStream

Method Detail

### getTargetStream

    public java.io.InputStream getTargetStream()

  Accessor for the stream that we are proxying to

  Returns:
    The stream we proxy to

### getSourceStream

    public java.io.InputStream getSourceStream()

  Returns:
    The stream that we proxy to

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Specified by:
    `close` in interface `java.io.Closeable`
  Overrides:
    `close` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD